commit:     22dc1a6b170ab0dffd62fc45d5c022636ecdb611
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat May 18 05:57:31 2019 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat May 18 05:57:53 2019 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=22dc1a6b

dev-qt/qdoc: sync with main tree

Closes: https://bugs.gentoo.org/676948
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 dev-qt/qdoc/qdoc-5.12.9999.ebuild | 15 +++++++++------
 dev-qt/qdoc/qdoc-5.13.9999.ebuild | 13 ++++++++-----
 dev-qt/qdoc/qdoc-5.9999.ebuild    | 15 +++++++++------
 3 files changed, 26 insertions(+), 17 deletions(-)

diff --git a/dev-qt/qdoc/qdoc-5.12.9999.ebuild 
b/dev-qt/qdoc/qdoc-5.12.9999.ebuild
index 5e1e6d05..02aa22c3 100644
--- a/dev-qt/qdoc/qdoc-5.12.9999.ebuild
+++ b/dev-qt/qdoc/qdoc-5.12.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -28,10 +28,13 @@ src_prepare() {
        qt_use_disable_mod qml qmldevtools-private \
                src/qdoc/qdoc.pro
 
-       export LLVM_INSTALL_DIR="$(llvm-config --prefix)"
-       # this is normally loaded in qttools.pro, so skipped by using
-       # QT_TARGET_SUBDIRS causing build to fail
-       sed -e '1iload(qt_find_clang)\' -i src/qdoc/qdoc.pro || die
-
        qt5-build_src_prepare
 }
+
+src_configure() {
+       # src/qdoc requires files that are only generated when qmake is
+       # run in the root directory. bug 676948; same fix as bug 633776
+       mkdir -p "${QT5_BUILD_DIR}"/src/qdoc || die
+       qt5_qmake "${QT5_BUILD_DIR}"
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qdoc/qdoc-5.13.9999.ebuild 
b/dev-qt/qdoc/qdoc-5.13.9999.ebuild
index a7c87f07..02aa22c3 100644
--- a/dev-qt/qdoc/qdoc-5.13.9999.ebuild
+++ b/dev-qt/qdoc/qdoc-5.13.9999.ebuild
@@ -28,10 +28,13 @@ src_prepare() {
        qt_use_disable_mod qml qmldevtools-private \
                src/qdoc/qdoc.pro
 
-       export LLVM_INSTALL_DIR="$(llvm-config --prefix)"
-       # this is normally loaded in qttools.pro, so skipped by using
-       # QT_TARGET_SUBDIRS causing build to fail
-       sed -e '1iload(qt_find_clang)\' -i src/qdoc/qdoc.pro || die
-
        qt5-build_src_prepare
 }
+
+src_configure() {
+       # src/qdoc requires files that are only generated when qmake is
+       # run in the root directory. bug 676948; same fix as bug 633776
+       mkdir -p "${QT5_BUILD_DIR}"/src/qdoc || die
+       qt5_qmake "${QT5_BUILD_DIR}"
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qdoc/qdoc-5.9999.ebuild b/dev-qt/qdoc/qdoc-5.9999.ebuild
index 5e1e6d05..02aa22c3 100644
--- a/dev-qt/qdoc/qdoc-5.9999.ebuild
+++ b/dev-qt/qdoc/qdoc-5.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -28,10 +28,13 @@ src_prepare() {
        qt_use_disable_mod qml qmldevtools-private \
                src/qdoc/qdoc.pro
 
-       export LLVM_INSTALL_DIR="$(llvm-config --prefix)"
-       # this is normally loaded in qttools.pro, so skipped by using
-       # QT_TARGET_SUBDIRS causing build to fail
-       sed -e '1iload(qt_find_clang)\' -i src/qdoc/qdoc.pro || die
-
        qt5-build_src_prepare
 }
+
+src_configure() {
+       # src/qdoc requires files that are only generated when qmake is
+       # run in the root directory. bug 676948; same fix as bug 633776
+       mkdir -p "${QT5_BUILD_DIR}"/src/qdoc || die
+       qt5_qmake "${QT5_BUILD_DIR}"
+       qt5-build_src_configure
+}

Reply via email to